/*
 * Copyright (c) 2000-2009 TeamDev Ltd. All rights reserved.
 * TeamDev PROPRIETARY and CONFIDENTIAL.
 * Use is subject to license terms.
 */
package com.jniwrapper.win32.winhttp;

import com.jniwrapper.win32.WinFunctionCache;

/**
 * @author Vladimir Kondrashchenko
 */
class WinHttpLibrary extends WinFunctionCache
{
    private static WinHttpLibrary _instance;

    public WinHttpLibrary()
    {
        super("WinHttp");
    }

    public static WinHttpLibrary getInstance()
    {
        if (_instance == null)
        {
            _instance = new WinHttpLibrary();
        }
        return _instance;
    }
}